#ifndef BOXNODE_H
#define BOXNODE_H
#include <GL/gl.h>
#include "geometrynode.h"

class BoxNode : public GeometryNode
{
public:
    BoxNode(std::string name = "BoxNode", GLclampf red = 1.0, GLclampf green = 0.0, GLclampf blue = 0.0);
protected:
    void applySelf();
private:
    GLclampf red;
    GLclampf green;
    GLclampf blue;
};

#endif // BOXNODE_H
